aboutsummaryrefslogtreecommitdiffstats
path: root/tests/lut/run-test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/lut/run-test.sh')
-rwxr-xr-xtests/lut/run-test.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/tests/lut/run-test.sh b/tests/lut/run-test.sh
new file mode 100755
index 000000000..f8964f146
--- /dev/null
+++ b/tests/lut/run-test.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+set -e
+for x in *.v; do
+ echo "Running $x.."
+ ../../yosys -q -s check_map.ys -l ${x%.v}.log $x
+done
+
+for x in map_cmp.v; do
+ echo "Running $x.."
+ ../../yosys -q -s check_map_lut6.ys -l ${x%.v}_lut6.log $x
+done